WordPress.org

Ready to get started?Download WordPress

Forums

CSS & JavaScript Toolbox
[resolved] Upgrade to 6.0 Breaks Plugin (Can't view plugin or all my snippets!!!) (9 posts)

  1. redwall
    Member
    Posted 1 year ago #

    I just updated to your latest release 6.0. When I went into the plugin I clicked on "Upgrade" and then when that finished on "start"

    Nothing happened and I now can't even get into the plugin to see all my code snippets I had made in previous version!!

    What happens is that when I click on your plugin in WP backend sidebar, I just get a time out (server error 500) in my browser after a few min's...Spinner keeps spinning...

    I am afraid after installing / upgrading your plugin I have now lost all of my old code snippets I had in there which I have no back up for...

    Can you please help!

    http://wordpress.org/extend/plugins/css-javascript-toolbox/

  2. redwall
    Member
    Posted 1 year ago #

    I should also add that I can navigate to "extensions" in your plugin, but just not the main "CSS & JS Toolbox" part which is what I need!!

  3. wipeoutmedia
    Member
    Plugin Author

    Posted 1 year ago #

    Hi redwall,

    Thanks for your support message and providing details of what you are experiencing.

    First and foremost, please DO NOT uninstall version 6.0 if you want to keep your code block data. Uninstalling the plugin from WordPress will delete your blocks permanently and you will lose it. If the plugin is not behaving as it should then you can simply deactivate the plugin. If the plugin is totally breaking your website, then you can use an FTP program like FileZilla, log into your website backend, navigate to the plugins folder (something like this: public_html/wp-content/plugins) and delete the css-javascript-toolbox folder.
    Now that said, we have fully tested the plugin, the upgraders - upgrading from both v0.3 and v0.8 and everything worked fine. But sometimes issues can arise due to conflicts with other plugins for example. And this leads to my next question: Do you have BulletProof Security installed? If so, you would need to put a bypass rule in for Ajax. Please go to this forum post for instructions.

    If you are still having issues, please email us on: support@css-javascript-toolbox.com
    We will post any findings to this support post.

    Regards,
    Damian

  4. redwall
    Member
    Posted 1 year ago #

    Damian,

    1 - I have de-activted / re-activated and still same issue!

    2 - I do not have "BulletProof Security installed" I use "Better WP Security"

    This is really bad as I now I am screwed if I can't even figure what was in my code blocks from 0.8. and this is running on a clients site

    Can you please suggest some more troubleshooting to fix this urgently??

  5. wipeoutmedia
    Member
    Plugin Author

    Posted 1 year ago #

    Hi redwall,

    Just to recap for others who may be experiencing similar problems.

    Now it seems the issue is either a conflict or security rules using Better WP Security with .htaccess files that may be preventing AJAX from running. This would require further investigation on a fix or bypass rule.

    In the meantime, as long as you have NOT uninstalled the CJT V6 CE plugin (which deletes the code block data completely), you can retrieve this data.

    If you go into phpMyAdmin and look into a table called something like: xxxxx_cjtoolbox_blocks, you should see your code block data in the 'code' column. You could either copy your script data and paste them into a text editor, or Export this table as a CSV, which will open in a spreadsheet such as Numbers or Excel. This at least gives you the peace of mind that you have your code block data saved locally. Then you can always rebuild the code blocks using your code block data.

    We are still investigating this issue and as soon as we know more, we will let you know.
    We will also let you know how to update to CJT V6 CE safely.

    Many thanks,
    Damian

  6. solarc
    Member
    Posted 1 year ago #

    Hi Damian,

    I got this problem hour ago.
    Thanks for the BPS bypass instructions(forum post).
    It work nicely now.

    By now, should i clear CUSTOM CODE WPADMIN PLUGIN FIXES and rebuild htaccess again or just keep it right there.
    Please suggest.

    Thank You.

    Regard,
    Bryan

  7. wipeoutmedia
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Bryan,

    Thanks very much for your message.
    I am glad to hear you got it working with the bypass instructions.
    Personally, I would just leave it in there. BulletProof Security is a great plugin and updating it will not remove any custom rules.
    If you were to remove it, and rebuild the .htaccess file again then you will see the bypass rule removed from .htaccess
    In fact you can open your secure .htaccess file in the wp-admin folder using a text editor such as TextWrangler or Coda and see your custom rule added in there.

    Good luck and I hope you enjoy using the CJT plugin.
    Damian

  8. wipeoutmedia
    Member
    Plugin Author

    Posted 1 year ago #

    We just released version 6.0.6 with few fixes and enhancements that should fix this issue!

    Please check it out and let use know if your issue solved.

    If the issue stil not resolved please let us know what browser, Platform, WordPress version and PHP version you're using!

    Regards,
    Ahmed

  9. AHMeD
    Member
    Plugin Author

    Posted 8 months ago #

    Hello!

    We just discovered that this issue is a performance issue it always occurred with site that has many posts/pages/custom posts!

    The issue is a result of the blocks assignment panel loading all pages/posts/custom posts with every code BLOCK you have created with CJT Plugin. CJT Free 6.1 has solved this issue and much more. Please checkout the changelog section for more information. http://wordpress.org/plugins/css-javascript-toolbox/changelog/

    Hope that helps.

    Regards,
    AHMeD

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags